## org.apache.myfaces.renderkit.html
Class HtmlResponseWriterImpl

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.apache.myfaces.renderkit.html.HtmlResponseWriterImpl

All Implemented Interfaces:
  DummyFormResponseWriter

Direct Known Subclasses:
  HtmlBufferResponseWriterWrapper

public class HtmlResponseWriterImpl
extends javax.faces.context.ResponseWriter
implements DummyFormResponseWriter

Version:
  $Revision: 291908 $ $Date: 2005-09-27 07:29:38 -0400 (Tue, 27 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $), Anton Koinov

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`HtmlResponseWriterImpl(java.io.Writer writer, java.lang.String contentType, java.lang.String characterEncoding)`

Method Summary
`void` `addDummyFormParameter(java.lang.String paramName)` Adds a parameter that will be rendered as a hidden input within the dummy form.
`javax.faces.context.ResponseWriter` `cloneWithWriter(java.io.Writer writer)`
`void` `close()`
`void` `endDocument()`
`void` `endElement(java.lang.String name)`
`void` `flush()`
`java.lang.String` `getCharacterEncoding()`
`java.lang.String` `getContentType()`
`java.lang.String` `getDummyFormName()`
`java.util.Set` `getDummyFormParams()`
`boolean` `isWriteDummyForm()`
`void` `setWriteDummyForm(boolean writeDummyForm)` Switch on/off the writing of a dummy form in endDocument.
`void` `startDocument()`
`void` `startElement(java.lang.String name, javax.faces.component.UIComponent uiComponent)`
`static boolean` `supportsContentType(java.lang.String contentType)`
`void` `write(char[] cbuf)`
`void` `write(char[] cbuf, int off, int len)`
`void` `write(int c)`
`void` `write(java.lang.String str)`
`void` `write(java.lang.String str, int off, int len)`
`void` `writeAttribute(java.lang.String name, java.lang.Object value, java.lang.String componentPropertyName)`
`void` `writeComment(java.lang.Object value)`
`void` `writeText(char[] cbuf, int off, int len)`
`void` `writeText(java.lang.Object value, java.lang.String componentPropertyName)`
`void` `writeURIAttribute(java.lang.String name, java.lang.Object value, java.lang.String componentPropertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlResponseWriterImpl

    public HtmlResponseWriterImpl(java.io.Writer writer,
                                  java.lang.String contentType,
                                  java.lang.String characterEncoding)
                           throws javax.faces.FacesException

Method Detail

### supportsContentType

    public static boolean supportsContentType(java.lang.String contentType)

### getContentType

    public java.lang.String getContentType()

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### startDocument

    public void startDocument()

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String name,
                             javax.faces.component.UIComponent uiComponent)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### endElement

    public void endElement(java.lang.String name)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeAttribute

    public void writeAttribute(java.lang.String name,
                               java.lang.Object value,
                               java.lang.String componentPropertyName)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeURIAttribute

    public void writeURIAttribute(java.lang.String name,
                                  java.lang.Object value,
                                  java.lang.String componentPropertyName)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeComment

    public void writeComment(java.lang.Object value)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeText

    public void writeText(java.lang.Object value,
                          java.lang.String componentPropertyName)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeText

    public void writeText(char[] cbuf,
                          int off,
                          int len)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### cloneWithWriter

    public javax.faces.context.ResponseWriter cloneWithWriter(java.io.Writer writer)

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int c)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### isWriteDummyForm

    public boolean isWriteDummyForm()

### setWriteDummyForm

    public void setWriteDummyForm(boolean writeDummyForm)

  Description copied from interface: `DummyFormResponseWriter`
  Switch on/off the writing of a dummy form in endDocument.

  Specified by:
    `setWriteDummyForm` in interface `DummyFormResponseWriter`
  Parameters:
    `writeDummyForm` -

### getDummyFormName

    public java.lang.String getDummyFormName()

  Specified by:
    `getDummyFormName` in interface `DummyFormResponseWriter`
  Returns:
    name of the dummy form, that will be rendered

### addDummyFormParameter

    public void addDummyFormParameter(java.lang.String paramName)

  Description copied from interface: `DummyFormResponseWriter`
  Adds a parameter that will be rendered as a hidden input within the dummy form.

  Specified by:
    `addDummyFormParameter` in interface `DummyFormResponseWriter`

### getDummyFormParams

    public java.util.Set getDummyFormParams()